Page MenuHomePhabricator

[Extension Request] Build a SparkPost Email Delivery extension for MediaWiki
Closed, ResolvedPublic

Description

Similar to SendGrid extension and others, a request came in via enwiki to have an extension using the SparkPost API with similar functionality.

See request here: https://meta.wikimedia.org/wiki/User_talk:X-Savitar#Would_you_pleased_to_write_a_sparkpost_email_extension_for_Mediawiki?

In order to execute this request, the following would be necessary;

  • Do we need just an extension for email delivery like SendGrid for example? yes, per task description.
  • Request creation of a Gerrit repo for the project
  • Check request whether repo is created (this can take a few days) - thanks @MarcoAurelio
  • Build the extension (Extension:SparkPost) - done! PHPUnit tests left
  • Create an extension page on MediaWiki org documenting this extension - here: https://www.mediawiki.org/wiki/Extension:SparkPost.
  • Write PHPUnit tests for the extension - in progress
  • Do a release of the extension to be deployed - 1.0 and 1.1 are out and already in use.
  • Maintain this extension over time - definitely, my eye is on it always.

Event Timeline

xSavitar created this task.Jan 3 2019, 11:43 AM
Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptJan 3 2019, 11:43 AM
xSavitar updated the task description. (Show Details)Jan 3 2019, 2:34 PM
xSavitar updated the task description. (Show Details)
xSavitar moved this task from Backlog to Doing [WIP Long Term] on the User-xSavitar board.
xSavitar updated the task description. (Show Details)Jan 3 2019, 8:30 PM
xSavitar added a subscriber: MarcoAurelio.

You are just awesome, thanks again! :)

Do you want a Phabricator project to track tasks, issues, etc.?

That would be great @MarcoAurelio. Yes, thanks a lot!

In T212847#4853545, @D3r1ck01 wrote:

That would be great @MarcoAurelio. Yes, thanks a lot!

MediaWiki-extensions-SparkPost created.

Wow, that was fast, thanks a lot! :) \o/ ๐ŸŽ‰๐ŸŽ‰๐ŸŽ‰๐ŸŽ‰๐ŸŽ‰๐ŸŽ‰

xSavitar updated the task description. (Show Details)Jan 3 2019, 11:58 PM
xSavitar updated the task description. (Show Details)Jan 9 2019, 6:52 PM
xSavitar updated the task description. (Show Details)
xSavitar triaged this task as Low priority.Jan 24 2019, 8:13 PM
xSavitar updated the task description. (Show Details)Feb 4 2019, 2:28 PM
xSavitar updated the task description. (Show Details)Mar 6 2019, 8:14 PM

Added a few test cases. Can now resolve this! :)

xSavitar closed this task as Resolved.Mar 6 2019, 8:15 PM
xSavitar moved this task from Doing [WIP Long Term] to Reviewed/Resolved on the User-xSavitar board.